PTX(1)

NOM
ptx - Générer un index croisé du contenu de fichiers

SYNOPSIS
ptx [OPTION]... [ENTRÉE]... (sans l'option -G)
ptx -G [OPTION]... [ENTRÉE [SORTIE]]

DESCRIPTION

Produire un index permuté, incluant le contexte, des mots des fichiers d'entrée.

Les paramètres obligatoires pour les options de forme longue le sont aussi pour les options de forme courte.

-A, --auto-reference
    afficher des références générées automatiquement

-G, --traditional
    faire fonctionner « ptx » comme la version System V

-F, --flag-truncation=CHAÎNE
    utiliser la CHAÎNE pour indiquer la troncature des lignes

-M, --macro-name=CHAÎNE
    utiliser la macro CHAÎNE au lieu de « xx »

-O, --format=roff
    générer la sortie comme des directives roff

-R, --right-side-refs
    placer les références à droite, non pris en compte avec -w

-S, --sentence-regexp=EXPRAT
    utiliser l'expression EXPRAT pour déterminer la fin des lignes ou des phrases

-T, --format=tex
    générer la sortie comme des directives TeX

-W, --word-regexp=EXPRAT
    utiliser EXPRAT pour établir la concordance avec chaque mot

-b, --break-file=FICHIER
    utiliser les caractères de coupure de mots listés dans le FICHIER

-f, --ignore-case
    changer les minuscules en majuscules pour le tri

-g, --gap-size=N
    espacer les champs de N colonnes

-i, --ignore-file=FICHIER
    lire la liste des mots à ignorer dans le FICHIER

-o, --only-file=FICHIER
    lire uniquement la liste des mots dans le FICHIER

-r, --references
    utiliser le premier champ de chaque ligne comme référence

-t, --typeset-mode - option non implémentée -

-w, --width=N
    afficher des colonnes de largeur N, références exclues

--help
    Afficher l'aide-mémoire et quitter

--version
    Afficher le nom et la version du logiciel et quitter

L'entrée standard est lue quand FICHIER est omis ou quand FICHIER vaut « - ». « -F / » par défaut.

AUTEUR
Écrit par F. Pinard.

SIGNALER DES BOGUES
Aide en ligne de GNU coreutils : <http://www.gnu.org/software/coreutils/>
Signaler toute erreur de traduction de ptx à <http://translationproject.org/team/>

COPYRIGHT
Copyright © 2014 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou supérieures <http://gnu.org/licenses/gpl.html>
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
Documentation complète : <http://www.gnu.org/software/coreutils/ptx>
aussi disponible localement à l’aide de la commande : info '(coreutils) ptx invocation'

TRADUCTION
Cette page de manuel a été traduite par Michel Robitaille <robitail AT iro DOT umontreal DOT ca> et mise à jour pour Debian par Luc Froidefond <luc DOT froidefond AT free DOT fr> et les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.